Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#56220 closed defect (fixed)

Missing Port py34-kiwisolver

Reported by: ProgrammingPoet (Gregory Gelfond) Owned by: jjstickel (Jonathan Stickel)
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: seanfarley (Sean Farley), jjstickel (Jonathan Stickel), basmac
Port: py-kiwisolver py-matplotlib

Description

After running a port selfupdate, py34-matplotlib fails to update due to a missing port: py34-kiwisolver

Attachments (1)

py-nltk_Portfile.diff (361 bytes) - added by jjstickel (Jonathan Stickel) 2 years ago.

Download all attachments as: .zip

Change History (10)

comment:1 Changed 2 years ago by jjstickel (Jonathan Stickel)

I recommend switching to python-3.6. Many python ports only provide 2.7 and 3.6. We probably should remove 34 subport from py-matplotlib (and 35 from both kiwisolver and matplotlib).

Last edited 2 years ago by jjstickel (Jonathan Stickel) (previous) (diff)

comment:2 Changed 2 years ago by mf2k (Frank Schima)

Keywords: py34-matplotlib py34-kiwisolover "missing port" removed
Port: py-kiwisolver py-matplotlib added; py34-kiwisolover removed

comment:3 Changed 2 years ago by ProgrammingPoet (Gregory Gelfond)

That's unfortunate because there is no py36 supbort for nltk. The only supported versions are py27 and py34

Changed 2 years ago by jjstickel (Jonathan Stickel)

Attachment: py-nltk_Portfile.diff added

comment:4 Changed 2 years ago by jjstickel (Jonathan Stickel)

I see that the NLTK webpage says it only supports up to 3.5, but I just tested 3.6 and it seems to work OK. The developer probably just hasn't tested 3.6. I attached a trivial patch to the py-nltk portfile. Gregory, Can you test with your NLTK code?

comment:5 Changed 2 years ago by seanfarley (Sean Farley)

I don't have the bandwidth to fix this now; someone should feel free to commit an update to nltk. Alternatively, remove py33 and py34 of numpy (and its decedents).

comment:6 Changed 2 years ago by jjstickel (Jonathan Stickel)

I made a pull request to add py35 and py36 to nltk (https://github.com/macports/macports-ports/pull/1558).

Last edited 2 years ago by jjstickel (Jonathan Stickel) (previous) (diff)

comment:7 Changed 2 years ago by basmac

Cc: basmac added

comment:8 Changed 2 years ago by jjstickel (Jonathan Stickel)

Owner: set to jjstickel
Resolution: fixed
Status: newclosed

In b16b7cd3982a1c5c835baa24aae87fb20485e58e/macports-ports:

py-nltk: add py35 and py36

Closes: #56220

comment:9 Changed 2 years ago by mojca (Mojca Miklavec)

The above commit didn't really solve the problem, so I opened a new one for now: #56264

The py35 subports should probably stay for now, but py34 subport should be moved to graveyard, so that they at least get automatically replaced by newer versions. We should ideally not have any broken ports in out tree.

Note: See TracTickets for help on using tickets.